
package net.mcreator.theglitchedzombie.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.layers.HumanoidArmorLayer;
import net.minecraft.client.renderer.entity.HumanoidMobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.HumanoidModel;

import net.mcreator.theglitchedzombie.entity.GlitchedzombieEntity;

import com.mojang.blaze3d.vertex.PoseStack;

public class GlitchedzombieRenderer extends HumanoidMobRenderer<GlitchedzombieEntity, HumanoidModel<GlitchedzombieEntity>> {
	public GlitchedzombieRenderer(EntityRendererProvider.Context context) {
		super(context, new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER)), 0.5f);
		this.addLayer(new HumanoidArmorLayer(this, new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER_INNER_ARMOR)), new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER_OUTER_ARMOR)), context.getModelManager()));
	}

	@Override
	protected void scale(GlitchedzombieEntity entity, PoseStack poseStack, float f) {
		poseStack.scale(1.5f, 1.5f, 1.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(GlitchedzombieEntity entity) {
		return new ResourceLocation("the_glitched_zombie:textures/entities/skin1.png");
	}

	@Override
	protected boolean isShaking(GlitchedzombieEntity entity) {
		return true;
	}
}
